MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024496Community[OCCT] OCCT:Modeling Algorithmspublic2013-12-25 08:562014-09-11 11:45
ReporterHayashi 
Assigned Toabv 
PrioritynormalSeveritycrash 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2010OS Version32 bit
Product Version[OCCT] 6.7.0 
Target Version[OCCT] 6.7.1Fixed in Version[OCCT] 6.7.1 
Summary0024496: Crash on BRepAlgoAPI_Section
Description"ACCESS VIOLATION" is displayed by bsection.
section is success, return two edges.
It is the result same as 6.6.0.
Steps To Reproducepload ALL
restore face1.brep f1
restore face2.brep f2
bsection r2 f1 f2 (section r1 f1 f2)
TagsNo tags attached.
Test case numberbugs modalg_5 bug24469
Attached Fileszip file icon faces.zip (18,306 bytes) 2013-12-25 08:56

- Relationships

-  Notes
(0029026)
Hayashi (reporter)
2014-04-23 08:57

It seems that this issue is solved by OCC6.7.1 beta.
Two edges returns without crashing.

The result(on VC9):

--OCC6.7.0
Draw[1]> pload ALL
1
Draw[2]> restore face1.brep f1
f1
Draw[3]> restore face2.brep f2
f2
Draw[4]> bsection r2 f1 f2
An exception was caught 0044F028 : OSD_Exception_ACCESS_VIOLATION: ACCESS VIOLAT
ION at address 0xFEFD0000 during 'READ' operation
** Exception ** 0044F028 : OSD_Exception_ACCESS_VIOLATION: ACCESS VIOLATION at a
ddress 0xFEFD0000 during 'READ' operation


--OCC6.7.1beta
Draw[1]> pload ALL
1
Draw[2]> restore face1.brep f1
f1
Draw[3]> restore face2.brep f2
f2
Draw[4]> bsection r2 f1 f2
Draw[5]> explode r2
r2_1 r2_2
Draw[6]> whatis r2_1
r2_1 is a shape EDGE FORWARD Modified Orientable
Draw[7]> whatis r2_2
r2_2 is a shape EDGE FORWARD Modified Orientable
(0029086)
abv (manager)
2014-04-25 19:38

Please add a test case and close the issue if it is Ok
(0029097)
apn (administrator)
2014-04-28 15:13

Branch CR24496 was created.
Testing case:
bugs modalg_5 bug24469 - OK

- Related Changesets
occt: master 242da3e5
Timestamp: 2014-04-28 11:10:50
Author: abv
Committer: abv
Details ] Diff ]
0024496: Crash on BRepAlgoAPI_Section

Added test case bugs/modalg_5/bug24496
add - tests/bugs/modalg_5/bug24496 Diff ] File ]

- Issue History
Date Modified Username Field Change
2013-12-25 08:56 Hayashi New Issue
2013-12-25 08:56 Hayashi Assigned To => ifv
2013-12-25 08:56 Hayashi File Added: faces.zip
2014-04-23 08:57 Hayashi Note Added: 0029026
2014-04-25 19:38 abv Note Added: 0029086
2014-04-25 19:38 abv Assigned To ifv => mkv
2014-04-25 19:38 abv Status new => feedback
2014-04-28 11:36 abv Target Version => 6.7.1
2014-04-28 12:02 bugmaster Assigned To mkv => apn
2014-04-28 15:13 apn Note Added: 0029097
2014-04-28 15:13 apn Test case number => bugs modalg_5 bug24469
2014-04-28 15:13 apn Assigned To apn => bugmaster
2014-04-28 15:13 apn Status feedback => tested
2014-05-05 17:24 abv Changeset attached => occt master 242da3e5
2014-05-05 17:24 abv Assigned To bugmaster => abv
2014-05-05 17:24 abv Status tested => verified
2014-05-05 17:24 abv Resolution open => fixed
2014-09-11 11:45 bugmaster Status verified => closed
2014-09-11 11:45 bugmaster Fixed in Version => 6.7.1


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker